### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-list-illustration/ecl-list-illustration-image.directive.ts`

### Metadata

Selector | `[eclListIllustrationImage]`

### Index

###### Properties

- role

###### Inputs

- imageUrl
- isSquare

###### HostBindings

- attr.role
- class
- style.background-image

###### Accessors

- backgroundImage
- cssClasses

### Inputs

imageUrl
Type : `any`
Default value : `null`

isSquare
Type : `boolean`
Default value : `false`

### HostBindings

attr.role
Type : `string`
Default value : `'img'`

class
Type : `any`

style.background-image
Type : `string`

### Properties

role
Type : `string`
Default value : `'img'`
Decorators : `@HostBinding('attr.role')`

### Accessors

backgroundImage
get `backgroundImage()`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""